<?php
/* ---------------------------------------------------------------------
    config.inc - MotionBrowser - User interface for the result of
                 Motion application. Developed by Carlos Ladeira
                 (caladeira@gmail.com)

    Creation:     2006-03-11  Carlos Ladeira
    Last Update:  $Id: config.inc 29622 2012-01-22 18:55:10Z jed $

    For more details, please visit:
    http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version..
   -------------------------------------------------------------------- */

    // General constants e configuration values.

    $lang="de";
    $locales='de_DE@euro';

    // mysql related data
    $sql_db = "motiondb";
    $sql_host = "localhost";
    $sql_user = "motion";
    $sql_pass = "motion";

    // info for the webcam popups
    $server_addr = $_SERVER['SERVER_ADDR'];
    $webcam_x = 640;
    $webcam_y = 480;
    $webcam_port = array(8081, 8082, 8083);

    // setup port
    $setup_port = 8080;

    // default size for the thumbnails
    $thumb_width = 88;
    $thumb_height = 72;

    // size if free disc-space bar
    $quota_width  = 800;
    $quota_height = 20;
 // $data_dir     = "/";

    // surveillance popup window
    $cam_windows_x = 3;
    $cam_windows_y = 1;
?>
