<?
/* --------------------------------------------------------------------
    quota.php - MotionBrowser - User interface for the result of
                Motion application. Developed by Carlos Ladeira
                (caladeira@gmail.com)

    Creation:     2006-03-11  Carlos Ladeira
    Last Update:  $Id: calendar.inc 29092 2011-11-08 18:37:28Z jed $

    For more details, please visit:
    http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version..
   -------------------------------------------------------------------- */

    include("config.inc");

    $ratio  = strtr($_GET['ratio'],",",".");
    header("Content-type: image/png");
    $img    = imagecreatetruecolor($quota_width, $quota_height);
    $bdark  = imagecolorallocate($img,  83,  79, 179);
    $blight = imagecolorallocate($img, 109, 167, 203);
    $white  = imagecolorallocate($img, 255, 255, 255);

    // rectangle showing remaining space on pictures/movies volume
    if ($ratio > 0.5)
        $white = imagecolorallocate($img, 255, 255*((1-$ratio)*2), 0);

    imagefill($img, 0, 0, $bdark);
    imagefilledrectangle($img, 4,  3, $quota_width * $ratio, $quota_height - 4, $blight);
    imagefilledrectangle($img, $quota_width * $ratio , 3, $quota_width-4 , $quota_height - 4, $white );

    imagepng($img);
    imagedestroy($img);
?>
