#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/MOTION_IMAGE.sh
#
# Copyright (c) 2008-2011 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2008-08-31  jed
# Last Update:  $Id: $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist="yes,first,best,no"

    if [ -z "${value}" ]
    then
        value="yes"
    fi

    ece_select_list_dlg "${win}" "Capture Image" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
