#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/MOTION_WEBGUI.sh
#
# Copyright (c) 2008-2011 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2011-11-09  jed
# Last Update:  $Id: MOTION_WEBGUI.sh 29112 2011-11-14 14:31:11Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist="no,motionbrowser,motioncgi"

    if [ -z "${value}" ]
    then
        value="yes"
    fi

    ece_select_list_dlg "${win}" "Select Web GUI" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
